%global with_check 0

%global _find_debuginfo_dwz_opts %{nil}
%global _dwz_low_mem_die_limit 0

# https://github.com/containers/conmon
%global import_path github.com/containers/%{name}
%global git0 https://%{import_path}

Name: conmon
Epoch: 2
Version: 2.0.26
Release: 1%{?dist}
Summary: OCI container runtime monitor
License: ASL 2.0
URL: %{git0}
Source0: %{git0}/archive/v%{version}.tar.gz
# https://fedoraproject.org/wiki/PackagingDrafts/Go#Go_Language_Architectures
#ExclusiveArch: %%{go_arches}
# still use arch exclude as the macro above still refers %%{ix86} in RHEL8.4:
# https://bugzilla.redhat.com/show_bug.cgi?id=1905383
ExcludeArch: %{ix86}
BuildRequires: gcc
BuildRequires: git
BuildRequires: glib2-devel
BuildRequires: systemd-devel
BuildRequires: golang >= 1.12.12-4
BuildRequires: go-md2man

%description
%{summary}.

%prep
%autosetup -Sgit

%build
export CFLAGS="%{optflags} -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
export LDFLAGS="-pie -Wl,-z,relro -Wl,-z,now"
%{__make} all

%install
%{__make} PREFIX=%{buildroot}%{_prefix} install

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man8/*

%changelog
* Thu Feb 04 2021 Jindrich Novy <jnovy@redhat.com> - 2:2.0.26-1
- update to https://github.com/containers/conmon/releases/tag/v2.0.26
- Related: #1883490

* Thu Jan 21 2021 Jindrich Novy <jnovy@redhat.com> - 2:2.0.25-1
- update to https://github.com/containers/conmon/releases/tag/v2.0.25
- Related: #1883490

* Fri Jan 15 2021 Jindrich Novy <jnovy@redhat.com> - 2:2.0.24-1
- update to https://github.com/containers/conmon/releases/tag/v2.0.24
- Related: #1883490

* Mon Jan 04 2021 Jindrich Novy <jnovy@redhat.com> - 2:2.0.22-3
- exclude i686 as golang is not suppoerted there
- Related: #1883490

* Sat Dec 26 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.22-2
- add BR: golang, go-md2man
- add man pages
- Related: #1883490

* Mon Dec 21 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.22-1
- update to https://github.com/containers/conmon/releases/tag/v2.0.22
- Related: #1883490

* Tue Dec 08 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.21-3
- simplify spec
- Related: #1883490

* Mon Nov 09 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.21-2
- be sure to harden the linked binary
- compile with debuginfo enabled
- Related: #1883490

* Wed Oct 21 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.21-1
- synchronize with stream-container-tools-rhel8
- Related: #1883490

* Tue Aug 11 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.20-2
- use proper CFLAGS
- Related: #1821193

* Wed Jul 29 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.20-1
- update to https://github.com/containers/conmon/releases/tag/v2.0.20
- Related: #1821193

* Wed Jul 15 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.19-1
- update to https://github.com/containers/conmon/releases/tag/v2.0.19
- Related: #1821193

* Tue Jun 16 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.18-1
- update to https://github.com/containers/conmon/releases/tag/v2.0.18
- Related: #1821193

* Tue May 26 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.17-1
- update to https://github.com/containers/conmon/releases/tag/v2.0.17
- Related: #1821193

* Wed May 13 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.16-1
- update to https://github.com/containers/conmon/releases/tag/v2.0.16
- Related: #1821193

* Tue May 12 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.15-2
- synchronize containter-tools 8.3.0 with 8.2.1
- Related: #1821193

* Mon Apr 06 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.15-1
- update to 2.0.15
- Related: #1821193

* Wed Dec 11 2019 Jindrich Novy <jnovy@redhat.com> - 2:2.0.6-1
- update to 2.0.6
- Related: RHELPLAN-25139

* Tue Dec 10 2019 Jindrich Novy <jnovy@redhat.com> - 2:2.0.5-1
- update to 2.0.5
- Related: RHELPLAN-25139

* Mon Dec 09 2019 Jindrich Novy <jnovy@redhat.com> - 2:2.0.4-1
- update to 2.0.4 bugfix release
- Related: RHELPLAN-25139

* Mon Nov 25 2019 Jindrich Novy <jnovy@redhat.com> - 2:2.0.3-2.giteb5fa88
- BR: systemd-devel
- Related: RHELPLAN-25139

* Wed Nov 20 2019 Jindrich Novy <jnovy@redhat.com> - 2:2.0.3-1.giteb5fa88
- update to 2.0.3
- Related: RHELPLAN-25139

* Wed Sep 25 2019 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.2-0.1.dev.git422ce21
- build latest upstream master

* Tue Sep 10 2019 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.0-2
- remove BR: go-md2man since no manpages yet

* Tue Sep 10 2019 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.0-1
- bump to v2.0.0

* Fri May 31 2019 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:0.2.0-1
- initial package
